#region Copyright Syncfusion Inc. 2001 - 2017
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Controls.Gantt;
using Syncfusion.Windows.Shared;

namespace EssentialGantt
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Gantt_OnNodeDragCompleted(object sender, NodeDragAndDropEventArgs args)
        {
            //Changed the start or end time value to the day when dragging.
            DateTime startDateTime = args.StartTime;
            DateTime endDateTime = args.EndTime;
            args.StartTime = new DateTime(startDateTime.Year, startDateTime.Month, startDateTime.Day);
            args.EndTime = new DateTime(endDateTime.Year, endDateTime.Month, endDateTime.Day);
        }
    }
}
